Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.group
Class CinemaGroup

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.group.AbstractGappedSequenceGroup
            |
            +--uk.ac.man.bioinf.sequence.group.GroupSequenceAlignment
                  |
                  +--uk.ac.man.bioinf.apps.cinema.group.CinemaGroup

All Implemented Interfaces:
  AlignmentEventProvider, AlignmentListener, EventListener, GappedSequenceGroup, Identifiable, SequenceAlignment, SequenceEventProvider, SequenceGroup, SequenceListener, VetoableSequenceListener

public class CinemaGroup
extends GroupSequenceAlignment

CinemaGroup.java This class is more or less entirely a wrapper around the HashMap, and just switches all of the return types back to something sane. Created: Mon May 22 17:42:36 2000

Version:
  $Id: CinemaGroup.java,v 1.7 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaGroup(CinemaGroupManager manager, SequenceAlignment alignment, String title)`

Method Summary
`Color` | `getColor()`
`Identifier` | `getIdentifier()`
`String` | `getTitle()`
`void` | `setColor(Color groupColor)`
`void` | `setTitle(String title)`

Methods inherited from class uk.ac.man.bioinf.sequence.group.GroupSequenceAlignment
`addAlignmentListener, addSequence, addSequenceListener, addSequenceToGroup, addVetoableAlignmentListener, addVetoableSequenceListener, changeOccurred, changeOccurred, clearSequences, containsSequence, getInset, getLength, getNumberSequences, getSequenceAt, getSequenceIndex, getSequences, getSequenceType, getSubAlignment, getSubAlignment, iterator, removeAlignmentListener, removeSequence, removeSequenceFromGroup, removeSequenceListener, removeVetoableAlignmentListener, removeVetoableSequenceListener, setInset, vetoableChangeOccurred, vetoableChangeOccurred`

Methods inherited from class uk.ac.man.bioinf.sequence.group.AbstractGappedSequenceGroup
`getGappedSequences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaGroup

    public CinemaGroup(CinemaGroupManager manager,
                       SequenceAlignment alignment,
                       String title)

Method Detail

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getColor

    public Color getColor()

### setColor

    public void setColor(Color groupColor)

### getIdentifier

    public Identifier getIdentifier()

  Specified by:
    `getIdentifier` in interface `Identifiable`
  Overrides:
    `getIdentifier` in class `GroupSequenceAlignment`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD